=== debian/changelog ===
pure-mpfr (0.4-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 16:56:28 +0200
