=== debian/control ===
Source: pure-mpfr
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libmpfr-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-mpfr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MPFR interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides the mpfr module which makes the GNU MPFR
 multiprecision floats available as a new number type in the Pure language, so
 that they work with the other types of Pure numbers in an almost seamless
 fashion.
